%%
%% This is file `egs.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% egs.dtx  (with options: `class')
%% authblk.dtx  (with options: `package,subpack')
%% appendix.dtx  (with options: `package,subpack,egs')
%% figcaps.dtx  (with options: `package,subpack,egs')
%% natbib.dtx  (with options: `package,subpack,egs')
%% balance.dtx  (with options: `package,subpack')
%% ---------------------------------
%% EGS.CLS
%% ---------------------------------
%% The official LaTeX2e class file for journals of the
%% EUROPEAN GEOPHYSICAL SOCIETY
%% ---------------------------------
%% 
%% >>>>> Start of decommented files >>>>>>>
\NeedsTeXFormat{LaTeX2e}[1994/06/01]
\ProvidesClass{egs}
          [1997/04/21 5.2 (PWD)]
%% NOTICE:
%% This file may be used for non-profit purposes.
%% It may not be distributed in exchange for money,
%%   other than distribution costs.
%%
%% The author provides it `as is' and does not guarantee it in any way.
%%
%% Copyright (C) 1994-1997 Patrick W. Daly
%% Max-Planck-Institut f\"ur Aeronomie
%% Postfach 20
%% D-37189 Katlenburg-Lindau
%% Germany
%%
%% E-mail:
%% Internet-- daly@linmpi.mpae.gwdg.de
%%-----------------------------------------------------------
 %  For producing camera-ready copy and manuscripts for journals of the
 %      European Geophysical Society
 %
 %  This is a LaTeX2e class file, to be invoked as
 %     \documentclass{egs}         (for journal camera-ready copy) or as
 %     \documentclass[inbook]{egs}   (for book camera-ready copy) or as
 %     \documentclass[draft]{egs}  (for manuscript)
 %  It requires the local files
 %     article.cls   size10.clo    fleqn.clo
\newcommand{\NPG}{Nonlinear Processes in Geophysics}
\newcommand{\PCE}{Physics and Chemistry of the Earth}
\newcommand{\KHB}{Klein\-heu\-bacher Berichte}
\newif\if@draft
\newif\if@egsbook
\newif\if@khb
\DeclareOption{draft}{\@drafttrue}
\DeclareOption{inbook}{\@egsbooktrue}
\DeclareOption{khb}{\@khbtrue\@egsbooktrue}
\DeclareOption{fleqn}{\relax}
\DeclareOption{twoside}{\relax}
\DeclareOption{twocolumn}{\relax}
\DeclareOption{titlepage}{\relax}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass[fleqn]{article}
\@twosidefalse
\if@draft\@twocolumnfalse\else\@twocolumntrue\fi
\if@egsbook\@twocolumnfalse\fi
\def\refname{References}
\def\figurename{Fig.}
\def\tablename{Table}
\def\fnum@figure{\figurename~\thefigure}
\def\fnum@table{\tablename~\thetable}
\if@egsbook
 \def\abstractname{Resume}
\else
 \def\abstractname{Abstract}
\fi
\def\acknowname{Acknowledgement}
\def\acknowsname{Acknowledgements}
\if@khb
\IfFileExists{german.sty}{\RequirePackage{german}}{%
  \ClassWarning{egs}{Cannot find german.sty; proceding without it}
  \providecommand{\selectlanguage}[1]{}}
\def\abstractname{Zusammenfassung}
\def\abslang{\selectlanguage{german}}
\def\Engabstractname{Abstract}
\def\figurename{Bild}
\def\tablename{Tabelle}
\def\appendixname{Anhang}
\def\acknowname{Danksagung}
\def\acknowsname{Danksagungen}
\def\refname{Schriftum}
\fi
\if@draft
\oddsidemargin  0cm
\evensidemargin 0cm
\textheight 22cm
\textwidth 15cm
\topmargin 0cm
\raggedbottom
\let\subsecsize=\normalsize
\else
\def\@normalsize{\@setsize\normalsize{12pt}\xpt\@xpt
\abovedisplayskip 10\p@ plus2\p@ minus5\p@
\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip  \z@ plus3\p@
\belowdisplayshortskip  6\p@ plus3\p@ minus3\p@
\let\@listi\@listI}

\def\small{%
\if@egsbook
  \@setsize\small{9pt}\viiipt\@viiipt
\else
  \@setsize\small{10pt}\viiipt\@viiipt
\fi
\abovedisplayskip 8.5\p@ plus3\p@ minus4\p@
\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus2\p@
\belowdisplayshortskip 4\p@ plus2\p@ minus2\p@
\def\@listi{\leftmargin\leftmargini
\topsep 4\p@ plus2\p@ minus2\p@\parsep 2\p@ plus\p@ minus\p@
\itemsep \parsep}}

\let\footnotesize=\small

\def\scriptsize{\@setsize\scriptsize{8pt}\viipt\@viipt}
\def\tiny{\@setsize\tiny{6pt}\vpt\@vpt}
\def\large{\@setsize\large{14pt}\xiipt\@xiipt}
\def\Large{\@setsize\Large{18pt}\xivpt\@xivpt}
\def\LARGE{\@setsize\LARGE{22pt}\xviipt\@xviipt}
\def\huge{\@setsize\huge{25pt}\pt\@xxpt}
\def\Huge{\@setsize\Huge{30pt}\xxvpt\@xxvpt}
\if@egsbook
  \def\subsecsize{\@setsize\subsecsize{12pt}\xipt\@xipt}
\fi

\normalsize
\oddsidemargin  0cm
\evensidemargin 0cm
\topmargin -2.1cm
\headheight 2cm
\headsep 0.5cm
\topskip = 12pt
\footskip 30pt
\if@egsbook
  \textwidth 11.7cm
  \textheight = 45\baselineskip
\else
  \textwidth 17.7cm
  \textheight = 56\baselineskip
\fi
\if@khb
  \textwidth 16.9cm
  \textheight = 56\baselineskip
  \oddsidemargin -0.54cm
  \evensidemargin -0.54cm
\fi
\advance\textheight by \topskip
\columnsep 0.7cm
\columnseprule 0pt
\fi
\parindent 1em
\parskip 0pt plus 1pt
\if@egsbook
\def\section{\@startsection {section}{1}{\z@}{-2em plus-1ex minus
    -.2ex}{1em plus.2ex}{\reset@font\large
             \bfseries
}}
\def\subsection{\@startsection{subsection}{2}{\z@}{-1em plus-0.25ex
    minus-.2ex}{1em plus.2ex}{\reset@font\subsecsize
             \bfseries
}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{-1em plus
    -0.25ex minus-.2ex}{1em plus.2ex}{\reset@font\normalsize
             \bfseries
}}
\def\paragraph{\@startsection{paragraph}{4}{\z@}{1em plus
    0.25ex minus.2ex}{-1ex plus-.2ex}{\reset@font\normalsize
             \bfseries
}}
\else
\def\section{\@startsection {section}{1}{\z@}{-2em plus-1ex minus
    -.2ex}{1em plus.2ex}{\reset@font\normalsize
             \bfseries
}}
\def\subsection{\@startsection{subsection}{2}{\z@}{-1em plus-0.25ex
    minus-.2ex}{1em plus.2ex}{\reset@font\normalsize
             \rmfamily
}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{-1em plus
    -0.25ex minus-.2ex}{1em plus.2ex}{\reset@font\normalsize
             \rmfamily
}}
\fi
\if@khb\else\let\paragraph=\subsubsection\fi
\let\subparagraph=\paragraph
\@ifundefined{reset@font}{\let\reset@font=\relax}{}
\setcounter{secnumdepth}{3}
\if@khb \def\desfont{\bfseries} \else \def\desfont{\itshape}\fi
\def\descriptionlabel#1{\hspace\labelsep \desfont #1.}
\def\description{\list{}{\labelwidth\z@ \leftmargin\z@ \itemindent-\leftmargin
       \let\makelabel\descriptionlabel\reset@font\small}}

\let\enddescription\endlist
\setcounter{topnumber}{1}
\def\topfraction{.7}
\setcounter{bottomnumber}{1}
\def\bottomfraction{.3}
\setcounter{totalnumber}{3}
\def\textfraction{0}
\def\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\def\dbltopfraction{.7}
\def\dblfloatpagefraction{.5}
\long\def\@makecaption#1#2{%
   \vskip 10\p@
     {\reset@font\small{\bf #1.} #2\par}}

\long\def\@makenarrowcap#1#2{\hfill\vbox to \z@{\hsize=5cm \vss
     \reset@font\small{\bf #1.} #2\par\null}}
\def\figbox#1#2#3{\framebox[#1][c]{\@tempdima#2 \divide\@tempdima by2\relax
\advance\@tempdima by-\fboxsep \advance\@tempdima by-\fboxrule
\vrule\@height\@tempdima\@depth\@tempdima\@width\z@
\vbox to \z@{\vss\hbox{#3}\vss}}%
\@tempdima=\hsize \advance\@tempdima by-#1
\if@egsbook\else
\ifdim\@tempdima>5.5cm \let\@makecaption=\@makenarrowcap\fi
\fi}
\let\@oxfloat=\@xfloat
\def\@xfloat#1[#2]{\@oxfloat#1[#2]\small}
\if@twocolumn
\leftmargini 2em
\leftmarginii 1.75em
\leftmarginiii 1.5em
\leftmarginiv 1em
\leftmarginv .5em
\leftmarginvi .5em
\fi
\def\labelitemi{\bf --}
\def\labelitemii{\bf --}
\def\labelitemiii{$\m@th\bullet$}
\def\labelitemiv{$\m@th\cdot$}
\def\maketitle{\setcounter{Maxaffil}{1}%
 \if@khb \renewcommand\Authand{ und }%
         \renewcommand\Authands{ und }\fi
 \begin{titlepage}%
 \if@draft\else\hsize=16cm\fi
 \let\footnotesize\small
 \let\footnoterule\relax
 \def\thefootnote{\fnsymbol{footnote}}%
 \setcounter{page}{0}%
 \null
 \vfil
 \vskip 60\p@
 \begin{center}%
   {\LARGE\bf \@title \par}%
   \vskip 3em
   {\large
     \lineskip .75em
     \@author \par}%
    \vfil
   {\large
    \if@draft Manuscript submitted to \else Camera-ready Copy for \fi\\[1ex]
          {\bf \@journal}\\[1ex]
    \if@draft \@date\else Manuscript-No. \@msnumber\fi
    \if!\@offsets!\else\\[2em]{\bf Offset requests to:}\\ \@offsets\fi
    \if@draft\if!\@proofs!\else\\[2em]{\bf Send proofs to:}\\ \@proofs\fi\fi
    \par}%
\end{center}\par
\vfil
\@thanks
\vfil
\null
\end{titlepage}%
\setcounter{footnote}{0}%
\begingroup
\def\@thanks{}\parindent=0pt
\if@twocolumn
   \twocolumn[%
    {\begin{minipage}[t][7.5cm][s]{\hsize}
    \begin{minipage}{\hsize}
    \raggedright
 \let\footnotesize\normalsize
 \let\footnoterule\relax
 \def\thefootnote{\fnsymbol{footnote}}%
   \def\@mpfn{footnote}%
   \let\thempfn=\thefootnote
   \renewcommand\@makefntext[1]{%
      \parindent 1em \noindent
      \@makefnmark##1}
   \vspace*{40pt}
   {\LARGE\sffamily \@title\par}
   \vspace{10pt}
   {\normalsize
     \renewcommand{\Authfont}{\bfseries}%
     \renewcommand{\Affilfont}{\mdseries}%
     \setlength{\affilsep}{4pt}%
     \baselineskip 15pt
     \let\and=\sw@and
     \begin{minipage}[t]{\hsize}\flushleft\baselineskip=12pt%
        \@author
     \end{minipage}\par}%
     \@thanks
   \end{minipage}%
   \vfil
   Received \@recvd\ -- Accepted \@accptd
   \vspace{20pt}%
   \end{minipage}%
   }]\else
\global\@topnum\z@
\if@egsbook\if@draft\else
    \begin{minipage}[t][5cm][s]{\hsize}
    \begin{minipage}{\hsize}
    \raggedright
 \let\footnotesize\normalsize
 \let\footnoterule\relax
 \def\thefootnote{\fnsymbol{footnote}}%
   \def\@mpfn{footnote}%
   \let\thempfn=\thefootnote
   \renewcommand\@makefntext[1]{%
      \parindent 1em \noindent
      \@makefnmark##1}
   {\LARGE\bfseries \@title\par}
   \vspace{1cm}
   {\large
     \renewcommand{\Authfont}{\normalfont}%
     \renewcommand{\Affilfont}{\normalsize\normalfont}%
     \setlength{\affilsep}{4pt}%
     \baselineskip 15pt
     \let\and=\sw@and
     \begin{minipage}[t]{\hsize}\flushleft\baselineskip=12pt%
        \@author
     \end{minipage}\par}%
     \@thanks
   \end{minipage}%
   \vfil\null
   \end{minipage}%
\fi\fi
\fi
   \renewcommand\@makefntext[1]{\parindent 1em \noindent ##1}%
 \let\footnotesize\normalsize
\if@egsbook\else
  \if!\@corresp!\else
\footnotetext{\textit{Correspondence to:} \@corresp}%
\fi\fi
\endgroup
\setcounter{footnote}{0}%
\let\thanks\relax
\gdef\@thanks{}\gdef\@author{}\gdef\@title{}\let\maketitle\relax
\if@draft\gdef\baselinestretch{1.4}\reset@font\large\normalsize\fi
}
\renewcommand\and{\@centercr}
\newcommand\sw@and{\end{minipage}\\[1em]\begin{minipage}[t]{\hsize}%
  \flushleft\baselineskip12pt}
\def\journal#1{\def\@journal{#1}}
\let\booktitle=\journal
   \def\@journal{???}
\if@khb\booktitle{\KHB}\fi
\def\msnumber#1{\def\@msnumber{#1}} \def\@msnumber{???}
\def\firstauthor#1{\def\@firstauthor{#1}} \def\@firstauthor{???}
\def\proofs#1{\def\@proofs{#1}} \def\@proofs{}
\def\offsets#1{\expandafter\split@off#1\\@@ \def\@offsets{#1}}
\def\@offsets{}
\def\split@off#1\\#2@@{\def\@corresp{#1}}
\def\correspondence#1{\def\@corresp{#1} \def\offsets##1{\def\@offsets{##1}}}
  \def\@corresp{}
\def\received#1{\def\@recvd{#1}}   \def\@recvd{???}
\def\accepted#1{\def\@accptd{#1}}  \def\@accptd{???}
\def\communicated#1{}
\renewenvironment{abstract}{%
  \if@khb \abslang\fi
  \if@draft
    \if@egsbook
      \if@khb
        \reset@font\normalsize
        \begin{center}%
          {\bfseries \abstractname\vspace{-.5em}\vspace{\z@}}%
        \end{center}%
        \begin{quotation}%
      \else
        \section{\abstractname}
      \fi
    \else
      \reset@font\normalsize
      \begin{center}%
       {\bfseries \abstractname\vspace{-.5em}\vspace{\z@}}%
      \end{center}%
      \begin{quotation}%
    \fi
  \else
    \if@egsbook
      \if@khb
        \paragraph*{\abstractname.}
      \else
        \section{\abstractname}
      \fi
    \else
      \reset@font\normalsize\par\noindent
        {\bfseries \abstractname.}
         \ignorespaces
    \fi
  \fi}{%
  \if@khb
    \gdef\abstractname{\Engabstractname}%
    \gdef\abslang{\selectlanguage{english}}%
  \fi
  \if@draft
    \if@egsbook\if@khb
      \end{quotation}\newpage\fi
    \else
      \end{quotation}\newpage
    \fi
  \else
    \if@egsbook\else
      \newline\null\par\hrule
    \fi
  \fi}
\newenvironment{acknowledgements}{\begin{description}\item[\acknowsname]}%
    {\end{description}}
\newenvironment{acknowledgement}{\begin{description}\item[\acknowname]}%
    {\end{description}}
\def\ps@cameraready{\let\@mkboth\@gobbletwo
  \def\@oddhead{\reset@font\normalsize
    \begin{minipage}[t]{\textwidth}%
      \begin{minipage}[b]{10cm}%
         \baselineskip=6mm \lineskip=0pt \lineskiplimit=0pt
         \if@egsbook Book%
         \else Journal\fi: \@journal\\
         MS No.: \@msnumber\\
         First author: \@firstauthor
       \end{minipage}\hspace{\fill}\thepage
    \end{minipage}} \let\@evenhead=\@oddhead
    \def\@oddfoot{}\def\@evenfoot{}}
\if@twocolumn
  \flushbottom \else \raggedbottom
\fi
\def\iftwocol#1#2{\if@twocolumn#1\else #2\fi}
\if@draft\ps@plain\else\ps@cameraready\fi

\pagenumbering{arabic}
\if@twocolumn \flushbottom \else \raggedbottom \fi
\if@twoside \flushbottom \fi
\newcommand\fncomma{\textsuperscript{,}}
\AtBeginDocument{\mathindent\z@}
\def\ModuleVersion#1[#2]{}
    \ModuleVersion{authblk}
          [1997/04/22 1.0 (PWD)]
%% authblk coding copyright (C) 1997 Patrick W. Daly
\newcommand\Authfont{\normalfont}
\newcommand\Affilfont{\normalfont}
\newcommand\Authsep{, }
\newcommand\Authands{, and }
\newcommand\Authand{ and }
\newlength{\affilsep}\setlength{\affilsep}{1em}
\newlength{\@affilsep}
\newcounter{Maxaffil}
\setcounter{Maxaffil}{2}
\newcounter{authors}
\newcounter{affil}
\newif\ifnewaffil \newaffiltrue
\newcommand\AB@authnote[1]{\textsuperscript{\normalfont#1}}
\newcommand\AB@affilnote[1]{\textsuperscript{\normalfont#1}}
\providecommand\textsuperscript[1]{$^{#1}$}
\newcommand\AB@blk@and{\protect\Authfont\protect\AB@setsep}
\newcommand\AB@pand{\protect\and \protect\Authfont \protect\AB@setsep}
\@namedef{@sep1}{}
\@namedef{@sep2}{\Authand}
\newcommand\AB@affilsep{\protect\Affilfont}
\newcommand\AB@affilsepx{\protect\\\protect\Affilfont}
\newcommand\AB@setsep{\setlength{\@affilsep}{\affilsep}}
\newcommand\AB@resetsep{\setlength{\@affilsep}{\z@}}
\newcommand\AB@authlist{}
\newcommand\AB@affillist{}
\newcommand\AB@authors{}
\newcommand\AB@empty{}
\renewcommand\author[2][]%
      {\ifnewaffil\addtocounter{affil}{1}%
       \edef\AB@thenote{\arabic{affil}}\fi
      \if\relax#1\relax\def\AB@note{\AB@thenote}\else\def\AB@note{#1}%
        \setcounter{Maxaffil}{0}\fi
      \ifnum\value{authors}>1\relax
      \@namedef{@sep\number\c@authors}{\Authsep}\fi
      \addtocounter{authors}{1}%
      \begingroup
          \let\protect\@unexpandable@protect \let\and\AB@pand
          \def\thanks{\protect\thanks}\def\footnote{\protect\footnote}%
         \@temptokena=\expandafter{\AB@authors}%
         {\def\\{\protect\\[\@affilsep]\protect\Affilfont
              \protect\AB@resetsep}%
              \xdef\AB@author{\AB@blk@and#2}%
       \ifnewaffil\gdef\AB@las{}\gdef\AB@lasx{\protect\Authand}\gdef\AB@as{}%
           \xdef\AB@authors{\the\@temptokena\AB@blk@and}%
       \else
          \xdef\AB@authors{\the\@temptokena\AB@as\AB@au@str}%
          \global\let\AB@las\AB@lasx\gdef\AB@lasx{\protect\Authands}%
          \gdef\AB@as{\Authsep}%
       \fi
       \gdef\AB@au@str{#2}}%
         \@temptokena=\expandafter{\AB@authlist}%
         \let\\=\authorcr
         \xdef\AB@authlist{\the\@temptokena
           \protect\@nameuse{@sep\number\c@authors}%
           \protect\Authfont#2\AB@authnote{\AB@note}}%
      \endgroup
      \ifnum\value{authors}>2\relax
      \@namedef{@sep\number\c@authors}{\Authands}\fi
      \newaffilfalse
}
\newcommand\authorcr{\protect\\ \protect\Authfont \protect\AB@setsep}%
\newcommand\affil[2][]%
   {\newaffiltrue\let\AB@blk@and\AB@pand
      \if\relax#1\relax\def\AB@note{\AB@thenote}\else\def\AB@note{#1}%
        \setcounter{Maxaffil}{0}\fi
      \begingroup
        \let\protect\@unexpandable@protect
        \def\thanks{\protect\thanks}\def\footnote{\protect\footnote}%
        \@temptokena=\expandafter{\AB@authors}%
        {\def\\{\protect\\\protect\Affilfont}\xdef\AB@temp{#2}}%
         \xdef\AB@authors{\the\@temptokena\AB@las\AB@au@str
         \protect\\[\affilsep]\protect\Affilfont\AB@temp}%
         \gdef\AB@las{}\gdef\AB@au@str{}%
        {\def\\{, \ignorespaces}\xdef\AB@temp{#2}}%
        \@temptokena=\expandafter{\AB@affillist}%
        \xdef\AB@affillist{\the\@temptokena \AB@affilsep
          \AB@affilnote{\AB@note}\protect\Affilfont\AB@temp}%
      \endgroup
       \let\AB@affilsep\AB@affilsepx
}
\def\@author{}
\renewcommand\@author{\ifx\AB@affillist\AB@empty\AB@author\else
      \ifnum\value{affil}>\value{Maxaffil}\def\rlap##1{##1}%
    \AB@authlist\\[\affilsep]\AB@affillist
    \else  \AB@authors\fi\fi}
\def\ModuleVersion#1[#2]{}
    \ModuleVersion{appendix}
           [1997/03/16 2.0e (PWD)]
%% Appendix coding copyright (C) 1994--1997 Patrick W. Daly
\@ifundefined{iffigcaps}{}
  {\PackageWarningNoLine{appendix}
     {***********************************\MessageBreak
      This package read in after `figcaps'\MessageBreak
      There could be problems with sublabelled\MessageBreak
      figure and table numbers.\MessageBreak
      ***********************************}}
\providecommand{\appendixname}{Appendix}
\let\orisection=\section
\let\theolds=\thesection
\let\theoldss=\thesubsection
\def\appendix{\par
  \setcounter{section}{0}
  \setcounter{subsection}{0}
  \def\thesection{\Alph{section}}
  \def\thesubsection{\thesection\arabic{subsection}}
  \setcounter{secnumdepth}{4}
  \@addtoreset{equation}{section}
  \setcounter{equation}{0}
  \def\theequation{\thesection\arabic{equation}}
  \@addtoreset{figure}{section}
  \setcounter{figure}{0}
  \def\thefigure{\thesection\arabic{figure}}
  \@addtoreset{table}{section}
  \def\thetable{\thesection\arabic{table}}
  \setcounter{table}{0}
  \def\@Alph##1{\ifcase##1A\or A\or B\or C\or D\else\@Ialph{##1}\fi}
  \def\section{\@startsection {section}{1}{\z@}{-2em plus
    -1ex minus-.2ex}{1em plus.2ex}{\reset@font
       \if@egsbook\large\else\normalsize\fi
    \bfseries\noindent \appendixname~}}
}
\def\noappendix{\setcounter{secnumdepth}{0}
  \global\let\section=\orisection
  \global\let\thesection=\theolds
  \global\let\thesubsection=\theoldss
}
\def\ModuleVersion#1[#2]{}
    \ModuleVersion{figcaps}
        [1997/03/16 4.5f (PWD)]
%% Figcaps coding copyright (C) 1994--1997 Patrick W. Daly
\@ifundefined{chapter}{}{%
    \PackageError{figcaps}
     {`figcaps' may only be used with article-like classes}
     {There is no help. You just cannot use `figcaps'}}
\newif\iffigcaps \figcapstrue
\newif\iffigmark \figmarkfalse
\newif\if@figpage \@figpagefalse
\@ifundefined{figurecapname}{\def\figurecapname{Figure Captions}}{}
\@ifundefined{tablepagename}{\def\tablepagename{Tables}}{}
\@ifundefined{figurepagename}{\def\figurepagename{Figures}}{}
\begingroup
  \catcode `|=0 \catcode `[= 1
  \catcode`]=2 \catcode `\{=12 \catcode `\}=12
  \catcode`\^^M=13 \catcode`\\=12 %
|long|gdef|@vfig#1\end{figure}[|def|@term[\end{figure}]%
          |expandafter|writelof#1^^M\end{figure}^^M|end[figure]]%
|long|gdef|@vsfig#1\end{figure*}[|def|@term[\end{figure*}]%
          |expandafter|writelof#1^^M\end{figure*}^^M|end[figure*]]%
|long|gdef|@vtab#1\end{table}[|def|@term[\end{table}]%
          |expandafter|writelot#1^^M\end{table}^^M|end[table]]%
|long|gdef|@vstab#1\end{table*}[|def|@term[\end{table*}]%
          |expandafter|writelot#1^^M\end{table*}^^M|end[table*]]%
|long|gdef|@fcaponly#1\caption[|endgroup|@fcaption]%
|long|gdef|@feject#1\end{figure}[|end[figure]]%
  |endgroup
\long\def\FC@writefile#1#2{\@ifundefined{tf@#1}{}{%
  \immediate\write\csname tf@#1\endcsname{#2}}}
\def\lof{lof} \def\lot{lot}

{\catcode`\^^M=13%
  \long\gdef\writelof#1^^M{\def\@tempb{#1}%
      \ifx\@tempb\@term\let\@tempa\relax\else
      \if@filesw\FC@writefile{pof}{#1}\fi\let\@tempa\writelof\fi \@tempa}
  \long\gdef\writelot#1^^M{\def\@tempb{#1}%
      \ifx\@tempb\@term\let\@tempa\relax\else
      \if@filesw\FC@writefile{pot}{#1}\fi\let\@tempa\writelot\fi \@tempa}
}
\def\@fcaption{\refstepcounter\@captype \@ifnextchar[{\@@fcapopt}{\@@fcap}}
\def\@@fcapopt[#1]#2{\@caption\@captype[]{#2}\begingroup\set@literal\@feject}
\def\@@fcap#1{\@caption\@captype[]{#1}\begingroup\set@literal\@feject}
\def\figcapson{\figcapstrue}
\def\figcapsoff{\figcapsfalse}
\def\figmarkon{\figmarktrue}
\def\figmarkoff{\figmarkfalse}
\def\figure{\iffigcaps \let\@tempb=\@zfigure \else \let\@tempb=\@float\fi
  \@tempb{figure}}
\def\@zfigure#1{\begingroup\set@literal\@ifnextchar[{\@figure}{\@figure[]}}
\def\@figure[#1]{\@ifundefined{tf@pof}{\newwrite\tf@pof
     \if@filesw\immediate\openout\tf@pof\jobname.\lof\relax
     \ifFC@appendix\FC@writefile{pof}{\string\doappendix}\fi\fi}{}%
  \refstepcounter{figure}\iffigmark\marginpar{\fbox{\fnum@figure}}\fi
  \def\@captype{figure}\if@filesw\FC@writefile{pof}{\string\begin{figure}}\fi
  \@vfig}

\def\endfigure{\iffigcaps
    \endgroup\if@filesw\FC@writefile{pof}{\string\end{figure}}\fi\else
    \end@float\fi}

\@namedef{figure*}{\iffigcaps \let\@tempb=\@zsfigure \else
  \let\@tempb=\@dblfloat\fi \@tempb{figure}}
\def\@zsfigure#1{\begingroup\set@literal\@ifnextchar[{\@sfigure}{\@sfigure[]}}
\def\@sfigure[#1]{\@ifundefined{tf@pof}{\newwrite\tf@pof
     \if@filesw\immediate\openout\tf@pof\jobname.\lof\relax
     \ifFC@appendix\FC@writefile{pof}{\string\doappendix}\fi\fi}{}%
  \refstepcounter{figure}\iffigmark\marginpar{\fbox{\fnum@figure}}\fi
  \def\@captype{figure}\if@filesw\FC@writefile{pof}{\string\begin{figure}}\fi
  \@vsfig}

\@namedef{endfigure*}{\iffigcaps\endfigure\else\end@dblfloat\fi}
\def\table{\iffigcaps \let\@tempb=\@ztable \else \let\@tempb=\@float\fi
  \@tempb{table}}
\def\@ztable#1{\begingroup\set@literal\@ifnextchar[{\@table}{\@table[]}}
\def\@table[#1]{\@ifundefined{tf@pot}{\newwrite\tf@pot
     \if@filesw\immediate\openout\tf@pot\jobname.\lot\relax
     \ifFC@appendix\FC@writefile{pot}{\string\doappendix}\fi\fi}{}%
  \refstepcounter{table}\iffigmark\marginpar{\fbox{\fnum@table}}\fi
  \def\@captype{table}\if@filesw\FC@writefile{pot}{\string\begin{table}}\fi
  \@vtab}

\def\endtable{\iffigcaps
   \endgroup\if@filesw\FC@writefile{pot}{\string\end{table}}\fi\else
   \end@float\fi}

\@namedef{table*}{\iffigcaps \let\@tempb=\@zstable \else
  \let\@tempb=\@dblfloat\fi \@tempb{table}}
\def\@zstable#1{\begingroup\set@literal\@ifnextchar[{\@stable}{\@stable[]}}
\def\@stable[#1]{\@ifundefined{tf@pot}{\newwrite\tf@pot
     \if@filesw\immediate\openout\tf@pot\jobname.\lot\relax
     \ifFC@appendix\FC@writefile{pot}{\string\doappendix}\fi\fi}{}%
  \refstepcounter{table}\iffigmark\marginpar{\fbox{\fnum@table}}\fi
  \def\@captype{table}\if@filesw\FC@writefile{pot}
    {\string\begin{table}}%
    \fi\@vstab}

\@namedef{endtable*}{\iffigcaps\endtable\else
   \end@dblfloat\fi}
\def\tableofcontents{%
  \PackageWarningNoLine{figcaps}
   {Ignored: \protect\tableofcontents\space command}}
\def\listoffigures{%
  \PackageWarningNoLine{figcaps}
   {Ignored: \protect\listoffigures\space command}}
\def\listoftables{%
  \PackageWarningNoLine{figcaps}
   {Ignored: \protect\listoftables\space command}}
\def\addtocontents#1#2{\relax}
\def\addcontentsline#1#2#3{\relax}
{\catcode`\^^M=\active \gdef\cr@relax{\catcode`\^^M=\active \let^^M=\relax}}
\def\set@literal{\cr@relax \let\do\@makeother\dospecials}
\def\@figurecaps{\@ifundefined{tf@pof}{}{\if@filesw
  \immediate\closeout\tf@pof\fi
  \@ifundefined{appendixname}{}{\def\appendixname{}}
  \parindent\z@
  \reset@figtab\clearpage\section*{\figurecapname}\vspace{1cm}%
    \@mkboth{\uppercase{\figurecapname}}{\uppercase{\figurecapname}}%
    \addcontentsline{toc}{section}{\figurecapname}%
  \def\figure{\def\addcontentsline####1####2####3{}%
    \def\@captype{figure}%
    \begingroup\set@literal\@fcaponly
   }\def\endfigure{\endgroup\bigskip}%
  {\let\@makecaption=\@makefcaption
  \@input{\jobname.\lof}}%
  \clearpage}}%
\def\@tablepage{\@ifundefined{tf@pot}{}{\if@filesw
  \immediate\closeout\tf@pot\fi
  \@ifundefined{appendixname}{}{\def\appendixname{}}
  \parindent\z@
  \reset@figtab\clearpage\section*{\tablepagename}
    \@mkboth{\uppercase{\tablepagename}}{\uppercase{\tablepagename}}%
   \def\table{\def\@captype{table}\vbox\bgroup
    \small
   }\def\endtable{\egroup\bigskip}%
  \@input{\jobname.\lot}
  \clearpage}}
\def\printfigures{\@figpagetrue}
\def\@figurepage{\if@figpage\@ifundefined{tf@pof}{}{%
  \@ifundefined{appendixname}{}{\def\appendixname{}}
  \reset@figtab\clearpage\section*{\figurepagename}%
  \@mkboth{\uppercase{\figurepagename}}{\uppercase{\figurepagename}}%
  \begingroup
  \def\figure{\def\@captype{figure}\vbox\bgroup}\def\endfigure{\egroup
    \vspace{20pt}}%
  \def\label##1{}%
  \@input{\jobname.\lof}\newpage\endgroup}\fi}
\def\reset@figtab{%
  \setcounter{figure}{0}\setcounter{table}{0}
}
\AtEndDocument{\iffigcaps\@tablepage\@figurecaps\@figurepage\fi}
\let\@appendix=\appendix
\newif\ifFC@appendix \FC@appendixfalse
\def\appendix{\FC@appendixtrue
  \@ifundefined{tf@pof}{}{\if@filesw\FC@writefile{pof}{\string\doappendix}\fi}%
  \@ifundefined{tf@pot}{}{\if@filesw\FC@writefile{pot}{\string\doappendix}\fi}%
  \let\@section=\section
  \doappendix
  \let\@@section=\section
  \def\section{%
    \@ifundefined{tf@pof}{}{\if@filesw\FC@writefile{pof}{\string
        \stepcounter{section}}\fi}%
    \@ifundefined{tf@pot}{}{\if@filesw\FC@writefile{pot}{\string
        \stepcounter{section}}\fi}%
    \@@section}
  \let\reset@figtab=\@unappendix}
\def\doappendix{%
  \let\@thefigure=\thefigure
  \let\@thetable=\thetable
  \let\@cl@section=\cl@section
  \@appendix
}
\def\@unappendix{\FC@appendixfalse
  \setcounter{figure}{0}\setcounter{table}{0}
  \let\thefigure=\@thefigure
  \let\thetable=\@thetable
  \let\cl@section=\@cl@section
  \let\section=\@section
}
\let\@makefcaption=\@makecaption
\if@draft\figcapstrue\else\figcapsfalse\fi
\def\ModuleVersion#1[#2]{}
    \ModuleVersion{natbib}
        [1997/04/06 6.6 (PWD)]
%% Natbib coding copyright (C) 1994--1997 Patrick W. Daly
\newcommand\NAT@open{(} \newcommand\NAT@close{)}
\newcommand\NAT@sep{;} \newcommand\NAT@cmt{,}
\newcommand\NAT@aysep{,} \newcommand\NAT@yrsep{,}
\renewcommand\@cite%
    [3]{\ifNAT@swa\NAT@open\if\relax#2\relax\else#2\ \fi
        #1\if\relax#3\relax\else\NAT@cmt\ #3\fi\NAT@close\else#1\fi}
\providecommand\@firstofone[1]{#1}
\def\@citex%
  [#1][#2]#3{\let\@citea\@empty
  \@cite{\let\NAT@nm\@empty\let\NAT@year\@empty
    \@for\@citeb:=#3\do
    {\edef\@citeb{\expandafter\@firstofone\@citeb}%
     \if@filesw\immediate\write\@auxout{\string\citation{\@citeb}}\fi
     \@ifundefined{b@\@citeb\@extra@b@citeb}{\@citea%
       {\reset@font\bfseries ?}\NAT@citeundefined
                 \PackageWarning{natbib}%
       {Citation `\@citeb' on page \thepage \space undefined}}%
     {\hyper@natlinkstart{\@citeb}%
     \let\NAT@last@nm=\NAT@nm\let\NAT@last@yr=\NAT@year
     \NAT@parse{\@citeb}\ifNAT@full\let\NAT@nm\NAT@all@names\else
       \let\NAT@nm\NAT@name\fi
     \ifNAT@swa
       \ifx\NAT@last@nm\NAT@nm\NAT@yrsep
          \ifx\NAT@last@yr\NAT@year \NAT@exlab\else\unskip\ \NAT@date\fi
       \else\@citea{\NAT@nm}\NAT@aysep
       \ \NAT@date \fi \def\@citea{\NAT@sep\ }%
     \else
       \ifx\NAT@last@nm\NAT@nm\NAT@yrsep\ifx\NAT@last@yr\NAT@year
         \NAT@exlab\else \unskip\ \NAT@date\fi
       \else\@citea{\NAT@nm}\ \NAT@open\if\relax#1\relax\else#1\ \fi
         \NAT@date\fi
       \def\@citea{\NAT@close\NAT@sep\ }%
     \fi \hyper@natlinkend
     }}\ifNAT@swa\else\if\relax#2\relax\else\NAT@cmt\ #2\fi
     \NAT@close\fi}{#1}{#2}}
\renewcommand\@biblabel[1]{\hfill}
\newlength{\bibhang}
\setlength{\bibhang}{1em}
\newlength{\bibsep}
\setlength{\bibsep}{\z@}

\newcommand\@bibsetup%
   [1]{\setlength{\leftmargin}{\bibhang}\setlength{\itemindent}{-\leftmargin}%
       \setlength{\itemsep}{\bibsep}\setlength{\parsep}{\z@}}
\AtBeginDocument{\@ifpackageloaded{showkeys}{%
\let\SK@citex\@citex
       \def\@citex[#1][#2]#3{\SK@\SK@@ref{#3}\SK@citex[#1][#2]{#3}}
}{}}
\newif\ifNAT@full\NAT@fullfalse
\newif\ifNAT@swa
\DeclareRobustCommand\citet
   {\NAT@swafalse
         \@ifstar{\NAT@fulltrue\NAT@citet}{\NAT@fullfalse\NAT@citet}}
\newcommand\NAT@citet{\@ifnextchar[{\NAT@@citet}{\NAT@@citet[]}}
\newcommand\NAT@@citet{}
\def\NAT@@citet[#1]{\@ifnextchar[{\NAT@@@citet[#1]}{\NAT@@@citet[][#1]}}
\newcommand\NAT@@@citet{}
\def\NAT@@@citet[#1][#2]#3{%
  \@citex[#1][#2]{#3}}
\DeclareRobustCommand\citep
   {\NAT@swatrue
         \@ifstar{\NAT@fulltrue\NAT@citep}{\NAT@fullfalse\NAT@citep}}
\newcommand\NAT@citep{\@ifnextchar[{\NAT@@citep}{\NAT@@citep[]}}
\newcommand\NAT@@citep{}
\def\NAT@@citep[#1]{\@ifnextchar [{\@citex[#1]}{\@citex[][#1]}}
\DeclareRobustCommand\cite
    {\@ifstar{\NAT@fulltrue\NAT@cites}{\NAT@fullfalse\NAT@cites}}
\newcommand\NAT@cites{\@ifnextchar [{\NAT@swatrue\NAT@@citep}{\NAT@swafalse
    \NAT@@citep[]}}
\newcommand\citeauthor[1]{\if@filesw\immediate\write
     \@auxout{\string\citation{#1}}\fi
     \@ifundefined{b@#1\@extra@b@citeb}{%
       {\reset@font\bfseries ?}\NAT@citeundefined
            \PackageWarning{natbib}%
       {Citation `#1' on page \thepage \space undefined}}%
       {\NAT@parse{#1}\ifx\NAT@noname\NAT@name
         {\reset@font\bfseries(author?)}\PackageWarning{natbib}
           {Author undefined for citation `#1'
             \MessageBreak
            on page \thepage}\else
         {\hyper@natlinkstart{#1}\NAT@name\hyper@natlinkend}\fi}%
}
\newcommand\citeyear[1]{\if@filesw\immediate\write
     \@auxout{\string\citation{#1}}\fi
     \@ifundefined{b@#1\@extra@b@citeb}{%
       {\reset@font\bfseries ?}\NAT@citeundefined
            \PackageWarning{natbib}%
       {Citation `#1' on page \thepage \space undefined}}%
       {\NAT@parse{#1}\if\relax\NAT@date\relax
         {\reset@font\bfseries(year?)}\PackageWarning{natbib}
           {Year undefined for citation `#1'
             \MessageBreak
            on page \thepage}\else
         {\hyper@natlinkstart{#1}\NAT@date\hyper@natlinkend}\fi}%
}
\newcommand\citefullauthor[1]{\if@filesw\immediate\write
     \@auxout{\string\citation{#1}}\fi
     \@ifundefined{b@#1\@extra@b@citeb}{%
       {\reset@font\bfseries ?}\NAT@citeundefined
            \PackageWarning{natbib}%
       {Citation `#1' on page \thepage \space undefined}}%
       {\NAT@parse{#1}\ifx\NAT@noname\NAT@all@names
         {\reset@font\bfseries(author?)}\PackageWarning{natbib}
           {Author undefined for citation `#1'
             \MessageBreak
            on page \thepage}\else
         {\hyper@natlinkstart{#1}\NAT@all@names\hyper@natlinkend}\fi}%
}
\renewcommand\nocite[1]{\@bsphack
  \@for\@citeb:=#1\do{%
    \edef\@citeb{\expandafter\@firstofone\@citeb}%
    \if@filesw\immediate\write\@auxout{\string\citation{\@citeb}}\fi
    \if*\@citeb\else
    \@ifundefined{b@\@citeb\@extra@b@citeb}{%
       \NAT@citeundefined \PackageWarning{natbib}%
       {Citation `\@citeb' undefined}}{}\fi}%
  \@esphack}
\newcommand\NAT@parse[1]{{%
     \let\protect=\@unexpandable@protect\let~\relax
     \xdef\NAT@temp{\csname b@#1\@extra@b@citeb\endcsname}}%
     \expandafter\NAT@split\NAT@temp
     \expandafter\NAT@parse@date\NAT@date??????@@%
}
\newcommand\NAT@split[4]{%
  \gdef\NAT@num{#1}\gdef\NAT@name{#3}\gdef\NAT@date{#2}%
  \gdef\NAT@all@names{#4}%
  \ifx\NAT@noname\NAT@all@names \gdef\NAT@all@names{#3}\fi}
\newcommand\NAT@parse@date{}
\def\NAT@parse@date#1#2#3#4#5#6@@{%
  \ifnum\the\catcode`#1=11\def\NAT@year{}\def\NAT@exlab{#1}\else
  \ifnum\the\catcode`#2=11\def\NAT@year{#1}\def\NAT@exlab{#2}\else
  \ifnum\the\catcode`#3=11\def\NAT@year{#1#2}\def\NAT@exlab{#3}\else
  \ifnum\the\catcode`#4=11\def\NAT@year{#1#2#3}\def\NAT@exlab{#4}\else
    \def\NAT@year{#1#2#3#4}\def\NAT@exlab{{#5}}\fi\fi\fi\fi}
\newcommand\NAT@ifcmd{\futurelet\NAT@temp\NAT@ifxcmd}
\newcommand\NAT@ifxcmd{\ifx\NAT@temp\relax\else\expandafter\NAT@bare\fi}
\def\NAT@bare#1(#2)#3()#4\@nil#5{%
  \NAT@wrout{\arabic {NAT@ctr}}{#2}{#1}{#3}{#5}
}
\newcommand\NAT@wrout[5]{%
\if@filesw
      {\let\protect\noexpand\let~\relax
       \immediate
       \write\@auxout{\string\bibcite{#5}{{#1}{#2}{{#3}}{{#4}}}}}\fi
\ignorespaces}
\def\NAT@noname{{}}
\renewcommand\bibitem{%
  \@ifnextchar[{\@lbibitem}{%
    \stepcounter{NAT@ctr}\@lbibitem[\arabic{NAT@ctr}]}}
\def\@lbibitem[#1]#2{%
   \@ifundefined{b@#2\@extra@b@citeb}{\def\NAT@num{}}{\NAT@parse{#2}}%
   \item[\hfil\hyper@natanchorstart{#2}\@biblabel{\NAT@num}%
    \hyper@natanchorend]%
    \NAT@ifcmd#1()()\@nil{#2}}
\@ifpackageloaded{showkeys}{%
   \let\SK@lbibitem\@lbibitem
   \def\@lbibitem[#1]#2{%
     \SK@lbibitem[#1]{#2}\SK@\SK@@label{#2}\ignorespaces}}{}
\providecommand\bibcite{}
\renewcommand\bibcite[2]{\@ifundefined{b@#1\@extra@binfo}\relax
     {\NAT@citemultiple
      \PackageWarningNoLine{natbib}{Citation `#1' multiply defined}}%
  \global\@namedef{b@#1\@extra@binfo}{#2}}
\AtEndDocument{\NAT@swatrue\renewcommand\bibcite[2]%
                         {\NAT@testdef{#1}{#2}}}
\newcommand\NAT@testdef[2]{%
  \def\NAT@temp{#2}\expandafter \ifx \csname b@#1\@extra@binfo\endcsname
    \NAT@temp \else \ifNAT@swa \NAT@swafalse
       \PackageWarningNoLine{natbib}{Citation(s) may have
          changed.\MessageBreak
          Rerun to get citations correct}\fi\fi}
\def\bibsection{\if@draft\newpage\fi
    \noappendix\section*{\refname}}
\newcounter{NAT@ctr}
\renewenvironment{thebibliography}[1]{%
 \bibfont\bibsection\parindent \z@\list
   {\@biblabel{\arabic{NAT@ctr}}}{\@bibsetup{#1}%
    \setcounter{NAT@ctr}{0}}%
      \def\newblock{\hskip .11em plus.33em minus.07em}%
    \sloppy\clubpenalty4000\widowpenalty4000
    \sfcode`\.=1000\relax
 }{\def\@noitemerr{%
  \PackageWarning{natbib}
     {Empty `thebibliography' environment}}%
  \endlist\vskip-\lastskip}
\let\bibfont=\small
\providecommand\reset@font{\relax}
\providecommand\bibname{Bibliography}
\providecommand\refname{References}
\newcommand\NAT@citeundefined{\gdef \NAT@undefined {%
    \PackageWarningNoLine{natbib}{There were undefined citations}}}
\let \NAT@undefined \relax
\newcommand\NAT@citemultiple{\gdef \NAT@multiple {%
    \PackageWarningNoLine{natbib}{There were multiply defined citations}}}
\let \NAT@multiple \relax
\AtEndDocument{\NAT@undefined\NAT@multiple}
\providecommand\@mkboth[2]{}
\providecommand\MakeUppercase{\uppercase}
\providecommand{\@extra@b@citeb}{}
\gdef\@extra@binfo{}
\providecommand\hyper@natanchorstart[1]{}
\providecommand\hyper@natanchorend{}
\providecommand\hyper@natlinkstart[1]{}
\providecommand\hyper@natlinkend{}
\def\ModuleVersion#1[#2]{}
    \ModuleVersion{balance}
         [1997/03/16 4.2a (PWD)]
%% Balance coding copyright (C) 1994--1997 Patrick W. Daly
\newcommand{\@BAlancecol}{\if@twocolumn
  \setbox0=\vbox{\unvbox\@outputbox} \@tempdima=\ht0
  \advance\@tempdima by \topskip \advance\@tempdima
     by -\baselineskip \divide\@tempdima by 2
     \splittopskip=\topskip
  {\vbadness=\@M \loop \global\setbox3=\copy0
   \global\setbox1=\vsplit3 to \@tempdima
   \ifdim\ht3>\@tempdima \global\advance\@tempdima by 1pt \repeat}
   \setbox\@leftcolumn=\vbox to \@tempdima{\unvbox1\vfil}
   \setbox\@outputbox=\vbox to \@tempdima
     {\dimen2=\dp3\unvbox3\kern-\dimen2
      \vfil}
  \fi}
\newif\if@BAlanceone
\global\@BAlanceonefalse
\newdimen\oldvsize
\newcommand{\@BAdblcol}{\if@firstcolumn
       \unvbox\@outputbox \penalty\outputpenalty
       \global\oldvsize=\@colht \global\multiply \@colht by 2
       \global\@BAlanceonetrue
       \global\@firstcolumnfalse
  \else \global\@firstcolumntrue
       \if@BAlanceone
       \global\@BAlanceonefalse\@BAlancecol
       \global\@colht=\oldvsize \else
       \PackageWarningNoLine{balance}
          {You have called \protect\balance\space
             in second column\MessageBreak
           Columns might not be balanced}\fi
     \setbox\@outputbox\vbox to \@colht{\hbox to\textwidth
     {\hbox to\columnwidth {\box\@leftcolumn \hss}\hfil
      \vrule width\columnseprule\hfil \hbox to\columnwidth
      {\box\@outputbox \hss}}\vfil}\@combinedblfloats
     \@outputpage \begingroup \@dblfloatplacement
     \@startdblcolumn \@whilesw\if@fcolmade \fi
     {\@outputpage\@startdblcolumn}\endgroup
  \fi}
\newcommand{\@BAcleardblpage}{\clearpage\if@twoside \ifodd\c@page\else
  \hbox{}\newpage\fi\fi}
\newcommand{\@@cleardblpage}{}
\let\@@cleardblpage=\cleardoublepage

\newcommand{\@@utputdblcol}{}
\let\@@utputdblcol=\@outputdblcol
\newcommand{\balance}{\global\let\@outputdblcol=\@BAdblcol
  \global\let\cleardoublepage=\@BAcleardblpage}
\newcommand{\nobalance}{\global\let\@outputdblcol=\@@utputdblcol
  \global\let\cleardoublepage=\@@cleardblpage}
%% <<<<< End of merged and decommented files <<<<<<
\endinput
%% 
%%
%% End of file `egs.cls'.
